public class BIC_Problems{
    public static void main(String[] args){

    ////////////
    // RANDOM //
    ////////////

    // For each of the following, you will need to use the Random class.
    // Remember to import it!

    // 1) write a program to print out a random integer between 0 and 5 (hint: use one of the nextInt() methods...)
    // 2) write a program to print out a random boolean
    // 3) write a program to print out a random double between 0 and 1
    // 4) write a program to print out three random booleans
    // 5) write a program to print out three random booleans, seeded with the seed 565

    //////////
    // MATH //
    //////////

    // For each of the following, you will need to use the Math class.

    // 1) take the absolute value of -11
    // 2) take the square root of 45
    // 3) take the cube root of 45
    // 4) take the cosine of 11
    // 5) convert pi from radians to degrees (hint: you'll need to use a static field to get the value of pi!)
    // 6) make a double variable d, and round it to the nearest long
    // 7) make a float variable d, and round it to the nearest int

    ////////////
    // Arrays //
    ////////////

    // all of these can be accomplished with methods from the Arrays class.
    // none of these should be more than a single line of code!
    
    // for these, I would recommend using the following arrays for testing:
    // int[] arr = new int[]{5, 4, 3, 2, 1, 7};
    // int[] arr2 = new int[]{5, 4, 3, 2, 1, 7};
    // char[] arr3 = new char[]{'c', 'd', 'e', 'f', 'g', 'h'};

    // 1) fill arr2 with the number 99
    // 2) sort each array (there are several ways to do this...)
    // 3) print out the array nicely
    // 4) check to see if the element 'c' is in arr3
    // 5) given two arrays, check to see if their CONTENTS are equals
    //   i.e. arr and arr2 SHOULD be, but arr and arr3 should NOT be...

    /////////////
    // Integer //
    /////////////

    // 1) print out the number of bits used to represent an integer
    // 2) print out the number of bytes used to represent an integer
    // 3) print out the smallest possible integer value
    // 4) use an Integer method to convert 5 to double
    // 5) Write code to convert the string "5" to a double (there are 2 ways to do this...)
    // 6) try using the code from part 5 to convert "44gggg" to a double. What happens?
    // 7) get the number of one-bits in the two's complement binary representation of 5888 (Note: you don't need to know what this means to do this...)
   

    ////////////
    // Double //
    ////////////

    // 1) print out the number of bits used to represent a double
    // 2) print out the number of bytes used to represent a double
    // 3) print out the smallest possible double value
    // 4) Write code to convert the string "5.44" to a double (there are 2 ways to do this...)
    // 5) try using the code from part 4 to convert "44gggg" to a double. What happens?
    // 6) get the hexidecimal string representation of the double 545.444 (note: you don't need to know what this means to do this...)

    ///////////////
    // Character //
    ///////////////

    // 1) write code to determine whether the char 'y' is a digit
    // 2) write code to determine whether the char '5' is a digit
    // 3) write code to determine whether the char whose value is 80 is a digit
    // 4) write code to determine whether the char whose value is 80 is a letter
    // 5) write code to determine whether the char whose value is 80 is a letter or digit
    // 6) write code to determine whether the char whose value is 55 is a unicode space character (hint: don't use the "deprecated" method.)
    // 7) write code to determine whether the char whose value is ' ' is a unicode space character
    // 8) wrote code to convert a char stored in the variable 'letter' to lowercase (hint: there is method for this!)



    }
}