import java.util.Arrays;

public class BuiltInClasses{
    public static void main(String[] args){

        ////////////////////////////////
        // OVERVIEW: Built-in classes //
        ////////////////////////////////

        // Idea: Java has built in classes
        // There are a lot, need to import before use

        ////////////
        // RANDOM //
        ////////////

        // *** Things to find: ***
        // What is this?
        // Constructor
        // Random randomGenerator = new Random(66);
        // How to import?
        // import java.util.Random;
        // Methods
        // int randomD = randomGenerator.nextInt();
        // System.out.println(randomD);
        // randomD = randomGenerator.nextInt();
        // System.out.println(randomD);
        // randomD = randomGenerator.nextInt();
        // System.out.println(randomD);
        // Fields
        // How to use? Instance or static?

        //////////
        // MATH //
        //////////

        // System.out.println("F");
        // System.out.println('F');
        // System.out.println(2);
        // System.out.println(2);

        // *** Things to find: ***
        // What is this?
        // System.out.println(Math.PI);
        // Constructor
        // Methods
        // System.out.println(Math.abs(-5.5));
        // System.out.println(Math.abs(-1));
        // System.out.println(Math.round(1.1));
        // System.out.println(Math.round(1.9));
        // Fields
        // How to import?
        // How to use? Instance or static?

        ////////////
        // ARRAYS //
        ////////////

        // *** Things to find: ***
        // What is this?
        // Constructor
        // Methods
        // Fields
        // How to import?
        // How to use? Instance or static?
        // int[] arr = new int[]{5,4,3,2,1,6,6,7,8,4,23452,452,34};
        // Arrays.sort(arr);
        // System.out.println(Arrays.toString(arr));

        ///////////////////////////////
        // OVERVIEW: Wrapper classes //
        ///////////////////////////////

        // Sometimes we want to use a primitive, but not
        // How do these work?
        // - Just a single field, storing the value
        // - Automatic boxing/unboxing (sometimes)

        /////////////
        // INTEGER //
        /////////////

        // String s = "15";
        // int i = Integer.parseInt(s) + 1;
        // System.out.println(i);

        ////////////
        // DOUBLE //
        ////////////

        // System.out.println(Double.NEGATIVE_INFINITY + Double.NEGATIVE_INFINITY);

        ///////////////
        // CHARACTER //
        ///////////////

        // System.out.println(Character.isLetter('c'));
        // System.out.println(Character.isLetter('5'));
    }
}